OGONKIFY(1)

NAZWA
ogonkify - międzynarodowe wsparcie PostScriptu

SKŁADNIA
ogonkify [-p zestawprocedur] [-e kodowanie] [-r Stary=Nowy] [-a] [-c] [-h] [-t] [-A] [-C] [-H] [-T] [-AT] [-CT] [-ATH] [-CTH] [-N] [-M] [-mp] [-SO] [-AX] [-F] [--] plik ...

OPIS
ogonkify zajmuje się przekształcaniem plików PostScriptowych w swiązku z drukowaniem w różnych językach. Jego podstawowym zastosowaniem jest filtrowanie wyjścia Netscape, Mosaic i innych programów w taki sposób, by możliwe było drukowanie w językach nieużywających standardowego zachodnioeuropejskiego kodowania ISO 8859-1.

OGÓLNE UWAGI
Instrukcja instalacji znajduje się w pliku INSTALL. Zakładając, że zakończyłeś instalację pomyślnie, zachowaj przykładowy PostScript z Netscape lub Mosaic np. do pliku output.ps. Następnie spróbuj go wydrukować przy pomocy

    % ogonkify -AT -N output.ps | lpr

w wypadku Netscape, lub

    % ogonkify -AT -M output.ps | lpr

w wypadku Mosaic.

Możesz zmienić opcję -AT na -CT. Spowoduje to użycie wysokiej jakości fontu Courier z IBM (za cenę wolniejszego drukowania). Innym sposobem na drukowanie z Netscape jest ustawienie komendy drukującej w odpowiednim oknie dialogowym na:

    ogonkify -AT -N | lpr

Dla szczegółów, zobacz sekcję UŻYTKOWANIE.

OPCJE

-p  Włącza podany zestaw procedur do pliku wyjściowego.

-e  Ustaw kodowanie wyjścia. Domyślnie jest to L2 (ISO 8859-2, a.k.a. ISO Latin-2). Inne możliwe wartości to L1 (ISO 8859-1, a.k.a. ISO Latin-1), L3 (ISO 8859-3, a.k.a. ISO Latin-3), L4 (ISO 8859-4, a.k.a. ISO Latin-4), L5 (ISO 8859-9, a.k.a. ISO Latin-5), L6 (ISO 8859-10, a.k.a. ISO Latin-6), CP1250 (Microsoft Code Page 1250, a.k.a. CeP), ibmpc (Oryginalne kodowanie IBM-PC), mac (kodowanie Apple Macintosh) and hp (kodowanie HP Roman).

-r  Użyj fontu Nowy zamiast Starego. Może to prowadzić do brzydkich efektów gdy nie będą się zgadzać metryki fontów.

-a  Dokonaj potrzebnych przemapowań fontów dla używania Courier-Ogonki zamiast Courier (litera a oznacza Adobe Courier). Zapobiega to ładowaniu fontów na drukarkę.

-c  Dokonaj potrzebnych przemapowań fontów dla używania IBM Courier zamiast Adobe Courier.

-t  Dokonaj potrzebnych przemapowań fontów dla używania Times-Roman-Ogonki zamiast Times-Roman.

-h  Dokonaj potrzebnych przemapowań fontów dla używania Helvetica-Ogonki zamiast Helvetica.

-A  Podobne do -a, lecz dodatkowo ładuje fonty Courier-Ogonki.

-C  Podobne do -c, lecz dodatkowo ładuje fonty IBM Courier.

-H  Podobne do -h, lecz dodatkowo ładuje fonty Helvetica-xxx-Ogonki.

-T  Podobne do -t, lecz dodatkowo ładuje fonty Times-xxx-Ogonki.

-CT Równoważne -C -T.

-N  Dokonaj przetwarzania typu Netscape.

-M  Dokonaj przetwarzania typu Mosaic.

-mp Dokonaj przetwarzania mp. Nie działa z opcją -A (użyj zamiast niej -C).

-SO Dokonaj przetwarzania typu StarOffice.

-AX Dokonaj przetwarzania typu ApplixWare .

-F  Dokonaj przetwarzania typu XFig (działa tylko dla polskich znaków).

--  Zakończ opcje.

UŻYTKOWANIE
Załóżmy, że chcesz wydrukować stronę WWW zakodowaną w ISO Latin-2. Netscape nalega na drukowanie w ISO Latin-1. Korzystając z komendy File->Print wyślij z Netscape wydruk do pliku alamakota.ps. Ponieważ ogonkify jest skonfigurowany domyślnie na ISO Latin-2, przekazanie mu PostScriptu wygenerowanego przez Netscape spowoduje naprawienie kodowania fontów. Wystarczy wykonać

    % ogonkify -N <alamakota.ps | lpr

Jednakże większość drukarek nie ma fontów z wymaganymi znakami. Zamiast Courier i Times-Roman można przy użyciu opcji -AT, użyć i załadować syntezowane fonty, a przy użyciu -CT można załadować i użyć bardzo dobrego fontu Courier z IBM. Komenda będzie więc zwykle wyglądała tak:

    % ogonkify -N -AT <alamakota.ps | lpr

lub może

    % ogonkify -N -CT <alamakota.ps | lpr

Typowe użycie z innymi programami:

    % ogonkify -M -AT <alamakota.ps | lpr
    % ogonkify -mp -AT <alamakota.ps | lpr
    % ogonkify -SO -AT <alamakota.ps | lpr
    % ogonkify -AX -ATH <alamakota.ps | lpr
    % ogonkify -XF -ATH <alamakota.ps | lpr

BŁĘDY
Znaki z `ogonek' powinny być konstruowane inaczej (np. `ogonek' używany z `a' powinien być inaczej wykształcony niż ten, używany z `e'.) Lepiej byłoby połatać programy, do których mamy źródła niż przetwarzać wytworzony PostScript. Program jest napisany w Perlu.

UWAGI
Aby obejrzeć wyjście w GhostScripcie, będziesz musiał uruchomić gs z flagą -dNOPLATFONTS, a ghostview z flagą -arguments -dNOPLATFONTS. Netscape, IBM, Adobe, PostScript, StarOffice, ApplixWare, a także być może i inne nazwy są zastrzeżonymi znakami towarowymi.

PODZIĘKOWANIA
Wiele z danych mieszanych znaków udostępnili Primoz Peterlin, H. Turgut Uyar, Ricardas Cepas, Kristof Petrovay i Jan Prikryl. Jacek Pliszka dodał obsługę StarOffice. Andrzej Baginski dodał obsługę ApplixWare. Piotr Kuszewski dodał obsługę XFig. Markku Rossi napisał genscript i udostępnił w dystrybucji wiele przydatnych wektorów kodowań. Podczas pisania kodu Postscriptowego, używałem interpretera ghostscript napisanego przez Petera Deutscha. Larry Wall napisał perl, składnię i semantykę, które są niekończącym się źródłem zakłopotania.

AUTOR
Juliusz Chroboczek <jec@dcs.ed.ac.uk>, z pomocą wielu innych ludzi.